<?php

namespace yifang\lib;

/**
 * 异常基础类
 */
class Exception extends \Exception
{
    /**
     * 保存异常页面显示的额外Debug数据
     */
    protected $data = [];

    /**
     * 设置异常额外的Debug数据
     */
    final protected function setData($label, array $data)
    {
        $this->data[$label] = $data;
    }

    /**
     * 获取异常额外Debug数据
     */
    final public function getData()
    {
        return $this->data;
    }
}
