<?php
$config=array();
$config['default'] = env('log.channel', 'file');//默认日志记录通道
$config['level'] = [];//日志记录级别
$config['type_channel'] = [];//日志类型记录的通道
$config['close'] = false;//关闭全局日志写入
$config['error_reporting'] = E_ALL & ~E_NOTICE & ~E_DEPRECATED & ~E_WARNING; //错误报告级别
$config['channels'] = array(
    "file"=>array(
        // 日志记录方式
        'type'           => 'File',
        // 日志保存目录
        'path'           => '',
        //日志文件大小限制（超出会生成多个文件）
        'file_size'           => 1024*1024*10,
        // 单文件日志写入
        'single'         => false,
        // 独立日志级别
        'apart_level'    => ['debug','error','critical','alert','emergency','sql'],
        // 最大日志文件数量
        'max_files'      => 0,
        // 使用JSON格式记录
        'json'           => true,
        // 日志处理
        'processor'      => null,
        // 关闭通道日志写入
        'close'          => false,
        //自定义时间显示格式
        'time_format'   =>    'Y-m-d H:i:s',
        // 日志输出格式化
        'format'         => '[%s][%s]:%s',
        // 是否实时写入
        'realtime_write' => true,
    ),
);
return $config;

