<?php

namespace app\middleware;

use \yifang\middleware\Middleware_contract;

class CheckYifangLogin implements Middleware_contract
{
    /**
     *  处理请求
     */
    public function handle($request, \Closure $next)
    {
        //判断登录请求
        $loginData=yifangLoginInfo();
        if (!(isset($loginData["token"]) && $loginData["token"])) {
            if(request()->isAjax()){
                $response=apiResult(false,lang("admin.pleaseLogin"),app("errorCode")::AUTH_ENTICATION);
                return jsonResponse($response);
            }else{
                $referer=$request->url(true);
                return redirect("/admin/yifangLogin?referer={$referer}");
            }
        }
        $response = $next($request);
        return $response;
    }
}


