<?php

namespace plugins\yifang_backend_account\service\admin;

use plugins\yifang_backend_account\db\admin\D_rbac_nav;

class S_rbac_nav
{
    public $d_rbac_nav;

    public function __construct()
    {
        $this->d_rbac_nav = new D_rbac_nav();
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function infoByName($paramObj=""){
        return $this->d_rbac_nav->infoByName($paramObj);
    }

    /**
     * 获取数据byId
     * @param string $paramObj
     * @return array
     */
    public function getDataById($paramObj=""){
        return $this->d_rbac_nav->getDataById($paramObj);
    }

    /**
     * 获取数据
     * @param string $paramObj
     * @return array
     */
    public function getData($paramObj=""){
        return $this->d_rbac_nav->getData($paramObj);
    }

    /**
     * 获取子级数据
     * @param string $paramObj
     * @return array
     */
    public function getChildData($paramObj=""){
        return $this->d_rbac_nav->getChildData($paramObj);
    }

    /**
     * 获取父级数据
     * @param string $paramObj
     * @return array
     */
    public function getParentData($paramObj=""){
        return $this->d_rbac_nav->getParentData($paramObj);
    }

    /**
     * 供选择的数据
     * @param string $paramObj
     * @return array
     */
    public function selectData($paramObj=""){
        return $this->d_rbac_nav->selectData($paramObj);
    }

    /**
     * 创建数据
     * @param string $paramObj
     * @return array
     */
    public function store($paramObj=""){
        return $this->d_rbac_nav->store($paramObj);
    }

    /**
     * 更新数据
     * @param string $paramObj
     * @return array
     */
    public function update($paramObj=""){
        return $this->d_rbac_nav->update($paramObj);
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function info($paramObj=""){
        return $this->d_rbac_nav->info($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function delete($paramObj=""){
        return $this->d_rbac_nav->delete($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function deleteByPlugins($paramObj=""){
        return $this->d_rbac_nav->deleteByPlugins($paramObj);
    }

    /**
     * 分页列表数据
     * @param string $paramObj
     * @return array
     */
    public function listData($paramObj=""){
        return $this->d_rbac_nav->listData($paramObj);
    }

    public function __call($name,$arguments)
    {
        return recordLogMsgLevelTwo(app("errorLevel")::E_WARNING,app("errorCode")::UNDEFINED_METHOD,lang("sys.noMethodDefined"),$name,$arguments);
    }
}