<?php

namespace yifang\lib;

class Helper
{
    /**
     * 加载函数文件
     */
    public static function loader($helperDirs=array()){
        //遍历函数目录
        if(empty($helperDirs)){
            $helperDirs=array(
                YIFANG_PATH."/helper",
                YIFANG_APP."/helper",
            );
        }

        foreach($helperDirs as $dir){
            if(is_dir($dir)){
                $funcs=glob($dir."/*.func.php");
                if($funcs && is_array($funcs)){
                    foreach($funcs as $file){
                        @include_once $file;
                    }
                }
            }
        }
    }
}

